Subject: Re: bug#46986: 28.0.50; project.el: project-switch-project: dispatch menu bindings missing

From: Dmitry Gutov <[email-masked]>
Date: Mon, 8 Mar 2021 05:12:44 +0200

Hi Terje,

On 07.03.2021 11:48, Terje Larsen wrote:
> 1. emacs -Q
> 2. M-x
> 3. project-switch-project
> 4. Select '... (choose a dir)'
> 5. Navigate to a project directory and press enter
> 6. You are presented with a dispatch menu showing all the available
> options from 'project-switch-commands', but the keys are not displayed
> but instead the commands and even if you manually look up the keys
> connected to these commands pressing those keys doesn't work as
> well. Only thing that I found worked in this menu was 'C-g' to cancel.
> 
> I have never used this feature before, so I am not sure what is supposed
> to happen, but I saw a screenshot of the feature showing the keys
> presented and I presume when I press any one of those keys ('f' for
> example) I will be taken to the corresponding command for the project.

That's odd. I can't reproduce. Can anybody else here?

What's your value of project-switch-project on step 3?

How does the dispatch menu look on step 6? Could you make a screenshot?